# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_error

`krb5_error`

Error message structure.

## Declaration

typedef struct _krb5_error krb5_error

## Members

krb5_magic `krb5_error.magic`

krb5_timestamp `krb5_error.ctime`

  Client sec portion; optional.

krb5_int32 `krb5_error.cusec`

  Client usec portion; optional.

krb5_int32 `krb5_error.susec`

  Server usec portion.

krb5_timestamp `krb5_error.stime`

  Server sec portion.

krb5_ui_4 `krb5_error.error`

  Error code (protocol error #’s)

krb5_principal `krb5_error.client`

  Client principal and realm.

krb5_principal `krb5_error.server`

  Server principal and realm.

krb5_data `krb5_error.text`

  Descriptive text.

krb5_data `krb5_error.e_data`

  Additional error-describing data.